﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Syncfusion.JavaScript.DataVisualization.DiagramEnums;
using Syncfusion.JavaScript.DataVisualization.Models;
using Syncfusion.JavaScript.DataVisualization.Models.Collections;
using Syncfusion.JavaScript.DataVisualization.Models.Diagram;
using SyncfusionMvcTestApp.Models;

namespace SyncfusionMvcTestApp.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            DiagramProperties model = new DiagramProperties();
            model.Width = "100%";
            model.Height = "490px";
            model.PageSettings.ScrollLimit = ScrollLimit.Diagram;
            model.Layout.Type = LayoutTypes.HierarchicalTree;
            model.Layout.MarginY = 50;
            model.Layout.HorizontalSpacing = 30;
            model.Layout.VerticalSpacing = 40;
            model.DataSourceSettings.DataSource = GetData();
            model.DataSourceSettings.Parent = "HeadDept";
            model.DataSourceSettings.Id = "DeptId";
            //model.DefaultSettings.Node = new Node() { Width = 110, Height = 40, BorderColor = "transparent" };
            model.DefaultSettings.Node = new Node() { Width = 110, Height = 40, BorderColor = "black" };
            Label label = new Label() { FontColor = "#000000", Margin = new LabelMargin() { Left = 5, Right = 5 } };
            model.DefaultSettings.Node.Labels.Add(label);
            model.DefaultSettings.Connector = new Connector()
            {
                Segments = new Collection() { new Segment(Segments.Orthogonal) },
                TargetDecorator = new Decorator() { Shape = DecoratorShapes.Arrow }
            };
            model.SnapSettings.SnapConstraints = SnapConstraints.None;
            model.EnableContextMenu = false;
            model.NodeTemplate = "nodeTemplate";
            model.Tool = Tool.ZoomPan;

            model.ItemClick = "funcAlex";

            ViewData["diagramModel"] = model;
            return View();

            //return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }

        private Array GetData()
        {
            //string allText = System.IO.File.ReadAllText(Server.MapPath("~/App_Data/MarketChart.json"));
            //ViewBag.Alltext = allText;
            //Dictionary<string, object> requestArgs = (Dictionary<string, object>)new JavaScriptSerializer().DeserializeObject(allText);
            //requestArgs = (Dictionary<string, object>)requestArgs["root"];
            //return (Array)requestArgs.Values.ElementAt(0);
            var c = new CompanyTaskDataContext();
            return c.Company.ToArray();

        }

    }
}