#region Copyright Syncfusion Inc. 2001-2015.
// Copyright Syncfusion Inc. 2001-2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion

using System.Collections.Generic;
using Syncfusion.JavaScript.DataVisualization.DiagramEnums;

namespace SyncfusionMvcTestApp.Models
{
    public class CompanyTask
    {
        /// <summary>
        /// Gets or sets the dept id.
        /// </summary>
        /// <value>The dept id.</value>
        public string DeptId { get; set; }
        /// <summary>
        /// Gets or sets the name of the dept.
        /// </summary>
        /// <value>The name of the dept.</value>
        public string DeptName { get; set; }
        /// <summary>
        /// Gets or sets the head dept.
        /// </summary>
        /// <value>The head dept.</value>
        public string HeadDept { get; set; }
        /// <summary>
        /// Gets or sets the shape.
        /// </summary>
        /// <value>The shape.</value>
        public int Shape { get; set; }
        /// <summary>
        /// Gets or sets the width.
        /// </summary>
        /// <value>The width.</value>
        public int Width { get; set; }
        /// <summary>
        /// Gets or sets the height.
        /// </summary>
        /// <value>The height.</value>
        public int Height { get; set; }

        /// <summary>
        /// Gets or sets the LineType
        /// </summary>
        /// <value>The LineType</value>
        public string LineType { get; set; }

        /// <summary>
        /// Gets or sets the Color
        /// </summary>
        /// <value>The Color</value>
        public string Color { get; set; }

        /// <summary>
        /// Gets or sets the LineColor
        /// </summary>
        /// <value>The v</value>
        public string LineColor { get; set; }

        /// <summary>
        /// Gets or sets the FontColor
        /// </summary>
        /// <value>The </value>
        public string FontColor { get; set; }

        /// <summary>
        /// Gets or sets the ConditionText
        /// </summary>
        /// <value>The </value>
        public string ConditionText { get; set; }

        /// <summary>
        /// Gets or sets the ConditionText
        /// </summary>
        /// <value>The </value>
        public string ConditionId { get; set; }
    }

    /// <summary>
    /// 
    /// </summary>
    public class CompanyTaskDataContext
    {
        /// <summary>
        /// Gets the company.
        /// </summary>
        /// <value>The company.</value>
        public List<CompanyTask> Company
        {
            get
            {
                List<CompanyTask> company = new List<CompanyTask>();
                company.Add(new CompanyTask() { DeptId = "Start", DeptName = "Start", HeadDept = "", Height = 40, Width = 150, Shape = (int)BasicShapes.Ellipse, LineType = "Orthogonal", Color = "white", LineColor = "black", FontColor = "black", ConditionText = "", ConditionId = "" });
                company.Add(new CompanyTask() { DeptId = "Company", DeptName = "Company", HeadDept = "Start", Height = 40, Width = 150, Shape = (int)BasicShapes.Rectangle, LineType = "Orthogonal", Color = "white", LineColor = "black", FontColor = "black", ConditionText = "", ConditionId = "" });
                company.Add(new CompanyTask() { DeptId = "Plant", DeptName = "Plant", HeadDept = "Company", Height = 40, Width = 150, Shape = (int)BasicShapes.Rectangle, LineType = "Orthogonal", Color = "white", LineColor = "black", FontColor = "black", ConditionText = "If (Y)", ConditionId = "101" });
                company.Add(new CompanyTask() { DeptId = "Sales", DeptName = "Sales Organisation", HeadDept = "Company", Height = 40, Width = 150, Shape = (int)BasicShapes.Rectangle, LineType = "Orthogonal", Color = "white", LineColor = "black", FontColor = "black", ConditionText = "If (Y)", ConditionId = "101" });
                company.Add(new CompanyTask() { DeptId = "Purchase", DeptName = "Purchase Organisation", HeadDept = "Company", Height = 40, Width = 150, Shape = (int)BasicShapes.Rectangle, LineType = "Orthogonal", Color = "white", LineColor = "black", FontColor = "black", ConditionText = "If (Y)", ConditionId = "101" });
                company.Add(new CompanyTask() { DeptId = "Shipping", DeptName = "Shipping Point", HeadDept = "Plant", Height = 40, Width = 150, Shape = (int)BasicShapes.Rectangle, LineType = "Orthogonal", Color = "white", LineColor = "black", FontColor = "black", ConditionText = "If (Y)", ConditionId = "101" });
                company.Add(new CompanyTask() { DeptId = "WholeSale", DeptName = "WholeSale Distribution", HeadDept = "Sales", Height = 40, Width = 150, Shape = (int)BasicShapes.Trapezoid, LineType = "Orthogonal", Color = "black", LineColor = "black", FontColor = "white", ConditionText = "If (Y)", ConditionId = "101" });
                company.Add(new CompanyTask() { DeptId = "Internet", DeptName = "Internet Distribution", HeadDept = "Sales", Height = 40, Width = 150, Shape = (int)BasicShapes.Rectangle, LineType = "Orthogonal", Color = "white", LineColor = "black", FontColor = "black", ConditionText = "If (Y)", ConditionId = "101" });
                company.Add(new CompanyTask() { DeptId = "Division1", DeptName = "Division", HeadDept = "WholeSale", Height = 40, Width = 150, Shape = (int)BasicShapes.Trapezoid, LineType = "Orthogonal", Color = "green", LineColor = "green", FontColor = "white", ConditionText = "If (Y)", ConditionId = "101" });
                company.Add(new CompanyTask() { DeptId = "Division2", DeptName = "Division", HeadDept = "WholeSale", Height = 40, Width = 150, Shape = (int)BasicShapes.Trapezoid, LineType = "Orthogonal", Color = "green", LineColor = "green", FontColor = "white", ConditionText = "If (Y)", ConditionId = "101" });
                company.Add(new CompanyTask() { DeptId = "Division3", DeptName = "Division", HeadDept = "Internet", Height = 40, Width = 150, Shape = (int)BasicShapes.Rectangle, LineType = "Orthogonal", Color = "white", LineColor = "black", FontColor = "black", ConditionText = "If (Y)", ConditionId = "101" });
                company.Add(new CompanyTask() { DeptId = "Division4", DeptName = "Division", HeadDept = "Internet", Height = 40, Width = 150, Shape = (int)BasicShapes.Rectangle, LineType = "Orthogonal", Color = "white", LineColor = "black", FontColor = "black", ConditionText = "If (Y)", ConditionId = "101" });
                company.Add(new CompanyTask() { DeptId = "End-Condition2", DeptName = "End", HeadDept = "Division2", Height = 40, Width = 150, Shape = (int)BasicShapes.Ellipse, LineType = "Orthogonal", Color = "white", LineColor = "black", FontColor = "black", ConditionText = "", ConditionId = "" });
                company.Add(new CompanyTask() { DeptId = "End-Condition1", DeptName = "End", HeadDept = "Division1", Height = 40, Width = 150, Shape = (int)BasicShapes.Ellipse, LineType = "Orthogonal", Color = "white", LineColor = "black", FontColor = "black", ConditionText = "", ConditionId = "" });

                return company;
            }
        }
    }
}